# Uses of Class
javassist.tools.reflect.Metaobject

Packages that use Metaobject
Package
Description
javassist.tools.reflect
Runtime Behavioral Reflection.

## Uses of Metaobject in javassist.tools.reflect

Methods in javassist.tools.reflect that return Metaobject
Modifier and Type
Method
Description
`Metaobject`
Metalevel.`_getMetaobject()`
Obtains the metaobject associated with this object.
Methods in javassist.tools.reflect with parameters of type Metaobject
Modifier and Type
Method
Description
`void`
Metalevel.`_setMetaobject(Metaobject m)`
Changes the metaobject associated with this object.